> For the complete documentation index, see [llms.txt](https://docs.ionos.com/postgres-sdk-java/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/postgres-sdk-java/models/createclusterproperties.md).

# CreateClusterProperties

Properties with all data needed to create a new PostgreSQL cluster.

## Properties

| Name                    | Type                                                                          | Description                                                                                                                                                    | Notes       |
| ----------------------- | ----------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| **postgresVersion**     | **String**                                                                    | The PostgreSQL version of your cluster.                                                                                                                        |             |
| **instances**           | **Integer**                                                                   | The total number of instances in the cluster (one master and n-1 standbys).                                                                                    |             |
| **cores**               | **Integer**                                                                   | The number of CPU cores per instance.                                                                                                                          |             |
| **ram**                 | **Integer**                                                                   | The amount of memory per instance in megabytes. Has to be a multiple of 1024.                                                                                  |             |
| **storageSize**         | **Integer**                                                                   | The amount of storage per instance in megabytes.                                                                                                               |             |
| **storageType**         | [**StorageType**](/postgres-sdk-java/models/storagetype.md)                   |                                                                                                                                                                |             |
| **connections**         | [**List\<Connection>**](/postgres-sdk-java/models/connection.md)              |                                                                                                                                                                |             |
| **location**            | **String**                                                                    | The physical location where the cluster will be created. This will be where all of your instances live. Property cannot be modified after datacenter creation. |             |
| **backupLocation**      | **String**                                                                    | The S3 location where the backups will be stored.                                                                                                              | \[optional] |
| **displayName**         | **String**                                                                    | The friendly name of your cluster.                                                                                                                             |             |
| **maintenanceWindow**   | [**MaintenanceWindow**](/postgres-sdk-java/models/maintenancewindow.md)       |                                                                                                                                                                | \[optional] |
| **credentials**         | [**DBUser**](/postgres-sdk-java/models/dbuser.md)                             |                                                                                                                                                                |             |
| **synchronizationMode** | [**SynchronizationMode**](/postgres-sdk-java/models/synchronizationmode.md)   |                                                                                                                                                                |             |
| **fromBackup**          | [**CreateRestoreRequest**](/postgres-sdk-java/models/createrestorerequest.md) |                                                                                                                                                                | \[optional] |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/postgres-sdk-java/models/createclusterproperties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
